# Created by pyp2rpm-1.0.1
# https://github.com/bjones1/CodeChat
# commit b590b4a4a9f84f1bccf3323df33ba54c7458b208

%global pypi_name CodeChat

Name:           python-codechat
Version:        1.9.4
Release:        %mkrel 3
Group:          Development/Python
Summary:        The CodeChat system for software documentation
License:        GPLv3+
URL:            https://github.com/bjones1/CodeChat
Source0:        https://pypi.io/packages/source/C/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%package -n python3-codechat
Group:          Development/Python
Summary:        the modular source code checker: pep8, pyflakes and co
BuildRequires:  pkgconfig(python3)

%description -n python3-codechat
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove bundled egg-info
rm -rf CodeChat.egg-info
sed -i '/'pygments.*'/d' setup.py
sed -i '/'docutils.*'/d' setup.py
sed -i '/'ez_setup.*'/d' setup.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-codechat -f %{pyproject_files}
%{_bindir}/mdbook-CodeChat


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.4-3.mga10
+ Revision: 2239832
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.9.4-2.mga10
+ Revision: 2156859
- rebuild for python3.13

* Tue Feb 20 2024 papoteur <papoteur> 1.9.4-1.mga10
+ Revision: 2042629
- new version 1.9.4

* Tue Mar 29 2022 umeabot <umeabot> 1.9.0-2.mga9
+ Revision: 1831974
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.9.0-1.mga9
+ Revision: 1785555
- verison 1.9.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.6.1-5.mga9
+ Revision: 1732880
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.6.1-4.mga8
+ Revision: 1608263
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.6.1-3.mga8
+ Revision: 1535547
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.6.1-2.mga8
+ Revision: 1452154
- rebuild with python 3.8 + drop last py2 BRs

* Tue Jan 08 2019 shlomif <shlomif> 1.6.1-1.mga7
+ Revision: 1352256
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.1-4.mga7
+ Revision: 1288428
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-3.mga7
+ Revision: 1135343
- Rebuild for python 3.6

* Mon May 02 2016 philippem <philippem> 1.2.1-2.mga6
+ Revision: 1008801
- remove ez_setup
+ dglent <dglent>
- git version ported to python3

* Sat Dec 19 2015 dglent <dglent> 1.2.1-1.mga6
+ Revision: 911825
- imported package python-codechat

